Verify a relationship's ownership
curl --request POST \
--url https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"verificationNote": "Confirmed against the shareholder register dated 2026-10-31."
}
'import requests
url = "https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify"
payload = { "verificationNote": "Confirmed against the shareholder register dated 2026-10-31." }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
verificationNote: 'Confirmed against the shareholder register dated 2026-10-31.'
})
};
fetch('https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'verificationNote' => 'Confirmed against the shareholder register dated 2026-10-31.'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify"
payload := strings.NewReader("{\n \"verificationNote\": \"Confirmed against the shareholder register dated 2026-10-31.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"verificationNote\": \"Confirmed against the shareholder register dated 2026-10-31.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"verificationNote\": \"Confirmed against the shareholder register dated 2026-10-31.\"\n}"
response = http.request(request)
puts response.read_body{
"msg": "OK",
"status": 200,
"result": {
"relationship": {
"id": "6735a2d04f1e2b7a9c0d2f11",
"subjectProfileId": "6735a1c94f1e2b7a9c0d1e01",
"relatedProfileId": "6735a1c94f1e2b7a9c0d1e02",
"workspaceId": "6720f0aa3b9c4d5e6f708192",
"relationshipTypes": [
"ubo"
],
"relationshipLabel": "",
"ownershipPercent": 62.5,
"ownershipBasis": "direct",
"ownershipSource": "analyst_verified",
"verificationNote": "Confirmed against the shareholder register dated 2026-10-31.",
"verifiedBy": "application-id",
"verifiedAt": "2026-11-14T09:30:00.000Z",
"thresholdAtCreation": 25,
"meetsThreshold": true,
"dedupDecision": "new_profile",
"dedupCandidateIds": null,
"source": "api",
"status": "active",
"addNote": "Declared on the client's beneficial ownership form dated 2026-11-12.",
"createdBy": "application-id",
"createdAt": "2026-11-13T15:04:05.123Z",
"updatedBy": "application-id",
"updatedAt": "2026-11-14T09:30:00.000Z",
"endedBy": "",
"endedAt": null,
"endReason": "",
"endNote": ""
}
}
}Profile Management
Verify a relationship's ownership
Beta: available on request. Contact your Minerva representative or support@gominerva.com to enable related parties for your organization. Until they are enabled, this endpoint returns HTTP 403 with profile_relationships.not_enabled.
Records that the declared ownership was confirmed: ownershipSource becomes analyst_verified, with who and when. Verifying a relationship that is already verified returns it unchanged. Ended relationships cannot be verified.
POST
/
profiles
/
{profileId}
/
relationships
/
{relationshipId}
/
verify
Verify a relationship's ownership
curl --request POST \
--url https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"verificationNote": "Confirmed against the shareholder register dated 2026-10-31."
}
'import requests
url = "https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify"
payload = { "verificationNote": "Confirmed against the shareholder register dated 2026-10-31." }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
verificationNote: 'Confirmed against the shareholder register dated 2026-10-31.'
})
};
fetch('https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'verificationNote' => 'Confirmed against the shareholder register dated 2026-10-31.'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify"
payload := strings.NewReader("{\n \"verificationNote\": \"Confirmed against the shareholder register dated 2026-10-31.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"verificationNote\": \"Confirmed against the shareholder register dated 2026-10-31.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gominerva.com/clm/v1/profiles/{profileId}/relationships/{relationshipId}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"verificationNote\": \"Confirmed against the shareholder register dated 2026-10-31.\"\n}"
response = http.request(request)
puts response.read_body{
"msg": "OK",
"status": 200,
"result": {
"relationship": {
"id": "6735a2d04f1e2b7a9c0d2f11",
"subjectProfileId": "6735a1c94f1e2b7a9c0d1e01",
"relatedProfileId": "6735a1c94f1e2b7a9c0d1e02",
"workspaceId": "6720f0aa3b9c4d5e6f708192",
"relationshipTypes": [
"ubo"
],
"relationshipLabel": "",
"ownershipPercent": 62.5,
"ownershipBasis": "direct",
"ownershipSource": "analyst_verified",
"verificationNote": "Confirmed against the shareholder register dated 2026-10-31.",
"verifiedBy": "application-id",
"verifiedAt": "2026-11-14T09:30:00.000Z",
"thresholdAtCreation": 25,
"meetsThreshold": true,
"dedupDecision": "new_profile",
"dedupCandidateIds": null,
"source": "api",
"status": "active",
"addNote": "Declared on the client's beneficial ownership form dated 2026-11-12.",
"createdBy": "application-id",
"createdAt": "2026-11-13T15:04:05.123Z",
"updatedBy": "application-id",
"updatedAt": "2026-11-14T09:30:00.000Z",
"endedBy": "",
"endedAt": null,
"endReason": "",
"endNote": ""
}
}
}Authorizations
Path Parameters
Body
application/json